Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.util
Class DefaultFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          org.pdfbox.util.DefaultFileFilter

public class DefaultFileFilter
extends FileFilter

A convenience implementation of FileFilter that filters out all files except for those type extensions that it knows about. Extensions are of the type ".foo", which is typically found on Windows and Unix boxes, but not on Macinthosh. Case is ignored. Example - create a new filter that filerts out all files but gif and jpg image files: JFileChooser chooser = new JFileChooser(); DefaultFileFilter filter = new DefaultFileFilter( new String{"gif", "jpg"}, "JPEG & GIF Images") chooser.addChoosableFileFilter(filter); chooser.showOpenDialog(this);

Version:
  $Revision: 1.2 $
Author:
  Jeff Dinkins

Constructor Summary
`DefaultFileFilter()` Creates a file filter.
`DefaultFileFilter(String extension)` Creates a file filter that accepts files with the given extension.
`DefaultFileFilter(String[] filterArray)` Creates a file filter from the given string array.
`DefaultFileFilter(String[] filterArray, String desc)` Creates a file filter from the given string array and description.
`DefaultFileFilter(String extension, String desc)` Creates a file filter that accepts the given file type.

Method Summary
`boolean` | `accept(File f)` Files that begin with "." are ignored.
`void` | `addExtension(String extension)` Adds a filetype "dot" extension to filter against.
`String` | `getDescription()` Returns the human readable description of this filter.
`String` | `getExtension(File f)` Return the extension portion of the file's name .
`boolean` | `isExtensionListInDescription()`
`void` | `setDescription(String desc)` Sets the human readable description of this filter.
`void` | `setExtensionListInDescription(boolean b)` Determines whether the extension list (.jpg, .gif, etc) should show up in the human readable description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFileFilter

    public DefaultFileFilter()

  Creates a file filter. If no filters are added, then all files are accepted.

See Also:
  `addExtension(java.lang.String)`

### DefaultFileFilter

    public DefaultFileFilter(String extension)

  Creates a file filter that accepts files with the given extension. Example: new DefaultFileFilter("jpg");

See Also:
  `addExtension(java.lang.String)`

### DefaultFileFilter

    public DefaultFileFilter(String extension,
                             String desc)

  Creates a file filter that accepts the given file type. Example: new DefaultFileFilter("jpg", "JPEG Image Images"); Note that the "." before the extension is not needed. If provided, it will be ignored.

See Also:
  `addExtension(java.lang.String)`

### DefaultFileFilter

    public DefaultFileFilter(String[] filterArray)

  Creates a file filter from the given string array. Example: new DefaultFileFilter(String {"gif", "jpg"}); Note that the "." before the extension is not needed adn will be ignored.

See Also:
  `addExtension(java.lang.String)`

### DefaultFileFilter

    public DefaultFileFilter(String[] filterArray,
                             String desc)

  Creates a file filter from the given string array and description. Example: new DefaultFileFilter(String {"gif", "jpg"}, "Gif and JPG Images"); Note that the "." before the extension is not needed and will be ignored.

See Also:
  `addExtension(java.lang.String)`

Method Detail

### accept

    public boolean accept(File f)

  Files that begin with "." are ignored.

  Parameters:
    `f` - The file to accept.
  Returns:
    true if this file should be shown in the directory pane, false if it shouldn't.
  See Also:
    `getExtension(java.io.File)`, `FileFilter#accepts`

### getExtension

    public String getExtension(File f)

  Return the extension portion of the file's name .

  Parameters:
    `f` - The file to get the extension of.
  Returns:
    The extension of a file.
  See Also:
    `getExtension(java.io.File)`, `FileFilter.accept(java.io.File)`

### addExtension

    public void addExtension(String extension)

  Adds a filetype "dot" extension to filter against. For example: the following code will create a filter that filters out all files except those that end in ".jpg" and ".tif": DefaultFileFilter filter = new DefaultFileFilter(); filter.addExtension("jpg"); filter.addExtension("tif"); Note that the "." before the extension is not needed and will be ignored.

  Parameters:
    `extension` - The new extension to add.

### getDescription

    public String getDescription()

  Returns the human readable description of this filter. For example: "JPEG and GIF Image Files (*.jpg, *.gif)"

  Returns:
    The human readable description of this filter.
  See Also:
    `setDescription`, `setExtensionListInDescription`, `isExtensionListInDescription`, `FileFilter.getDescription()`

### setDescription

    public void setDescription(String desc)

  Sets the human readable description of this filter. For example: filter.setDescription("Gif and JPG Images");

  Parameters:
    `desc` - the new description for the file.
  See Also:
    `setDescription`, `setExtensionListInDescription`, `isExtensionListInDescription`

### setExtensionListInDescription

    public void setExtensionListInDescription(boolean b)

  Determines whether the extension list (.jpg, .gif, etc) should show up in the human readable description. Only relevent if a description was provided in the constructor or using setDescription();

  Parameters:
    `b` - Tell if the extionsion shoud show up in human readable description.
  See Also:
    `getDescription`, `setDescription`, `isExtensionListInDescription`

### isExtensionListInDescription

    public boolean isExtensionListInDescription()

  Returns:
    whether the extension list (.jpg, .gif, etc) should show up in the human readable description. Only relevent if a description was provided in the constructor or using setDescription();
  See Also:
    `getDescription`, `setDescription`, `setExtensionListInDescription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD